commit:     6b94744ff832a412b5693648b83935eec45d4da6
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Jul  4 18:30:17 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jul  4 18:33:02 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6b94744f

dev-libs/libintl: add 0.23.2

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/libintl/Manifest              |   2 +
 dev-libs/libintl/libintl-0.23.2.ebuild | 105 +++++++++++++++++++++++++++++++++
 2 files changed, 107 insertions(+)

diff --git a/dev-libs/libintl/Manifest b/dev-libs/libintl/Manifest
index a269dcd01675..24f023985a8f 100644
--- a/dev-libs/libintl/Manifest
+++ b/dev-libs/libintl/Manifest
@@ -4,5 +4,7 @@ DIST gettext-0.22.5.tar.xz 10270724 BLAKE2B 
18c383518f5a78b5c04cf76de976524da2a8
 DIST gettext-0.22.5.tar.xz.sig 833 BLAKE2B 
bb3e5ced34ab109f498347a3567103fe3491f69addb4a5ce25bf854fae1a11340eef1a9826b369d2416b53e5f7065aeebdb1609615f064cf7fb4151e82a5b4e5
 SHA512 
87f1df69206702be928b09a59a19ae4c23072cbc78ea16e76bfc4c929de76a3c0bb8e4eb2c3100c6e7b3b51d23e3b0e484c7e1d576ba7e25fd887934dc9ed8f7
 DIST gettext-0.23.1.tar.xz 11038556 BLAKE2B 
08d10340f3d855a87a96594c6f2dcf72925394f02e86235090f8d272e0a27ce32e57a0fbaed61aaf61d7328ff30be076dccaecaa13832d8db3ec0a51786780b9
 SHA512 
d75908f73eabe36c01d72d342ca694dbefad5f43da54f0ccb43bfd0518baff5becc8f50e787f21fadb7c29b3123638e4559334ea4f8e48a97107e8c5e22453b6
 DIST gettext-0.23.1.tar.xz.sig 833 BLAKE2B 
7ab3c5b76825fcd71371f25f0cc3d79704c5ae405f153917901f583f5780f3707f622522b2bac89dbf32a7bf281216ad7469608af490ad6072f12c81e472200a
 SHA512 
8aa2ba38d863d15a91b526b8b22d5aa54e07bc9cf716a551338d4f7f4230288bfa1234d4628e28fcdb4dc4050786a233a194197ca247d98c939e4d06bca4c230
+DIST gettext-0.23.2.tar.xz 11050476 BLAKE2B 
a59345e2164ef67bab6cb87593a51c6cdba7ee3a0d3805a8603bcd50e3d3351d7c3b0f9f3241c616a790ea5a4cedea171fad349bbabbea18c5d2245c2c6b5f6f
 SHA512 
0c4d1a2cd6849a39eae3e2b94bc9627822c5c5262689b2dd5aa7295a811a82727a7ac83125ef841b19895a70a223e46b048806597f9626acc73438f6d394db3e
+DIST gettext-0.23.2.tar.xz.sig 228 BLAKE2B 
a407f7fb586e300b6ba4032f9e5920864e1f3ba7dfc37fa3d6a48aa4e6e1eaa8238fc8f02ba6ee8e5e4eed9a0206eb61c52cc0f4121bc23d59fc00b3238accd7
 SHA512 
172f3fb3a7645a2259912d002e7700fa411a9be33b76d2eaacdafe1352cd8dcca23b335d6fbe8b31cbae18f1036be50e27ee7fd9bb2048a991238f99791f54a4
 DIST gettext-0.25.tar.xz 9932992 BLAKE2B 
cec5dd43f64ea676b112d53374452852ad25b2d31833a805bb2f92cd0b172536b47f916ad630fd4acd11208d408ff302eac2a5cd6a78ec653b7d5a3b447f5584
 SHA512 
8fb6934c7603304ce1b8f23740e68a6d23252e71f3cb22849506230ad289c03dd1a4d9bf01387b9a7bc6413e37bda14ab9bf166eecd678373d896c08c016c9dd
 DIST gettext-0.25.tar.xz.sig 228 BLAKE2B 
62d65e8734808c6a717f2cd147e9ff5f7ef2e07b5535a711a745444c277a167936124f1b17006476d1db3b94da0ebd27b39f918960c0848219facab4db0790b5
 SHA512 
4d364fa91375c0fad002d350a16a9c0afb723e52ebd771a24a0d8209459a0baf273b2cd2920c3f3bb291e5069ff55107d1096c9147bb51ec49bd156006853c9a

diff --git a/dev-libs/libintl/libintl-0.23.2.ebuild 
b/dev-libs/libintl/libintl-0.23.2.ebuild
new file mode 100644
index 000000000000..84fbf99bf0fc
--- /dev/null
+++ b/dev-libs/libintl/libintl-0.23.2.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Note: Keep version bumps in sync with sys-devel/gettext.
+
+EAPI=8
+
+MY_P="gettext-${PV}"
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/gettext.asc
+inherit multilib-minimal libtool usr-ldscript verify-sig
+
+DESCRIPTION="the GNU international library (split out of gettext)"
+HOMEPAGE="https://www.gnu.org/software/gettext/";
+SRC_URI="
+       mirror://gnu/gettext/${MY_P}.tar.xz
+       verify-sig? ( mirror://gnu/gettext/${MY_P}.tar.xz.sig )
+"
+S="${WORKDIR}/${MY_P}/gettext-runtime"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="static-libs +threads"
+
+DEPEND=">=virtual/libiconv-0-r1[${MULTILIB_USEDEP}]"
+# Block C libraries known to provide libintl.
+RDEPEND="
+       ${DEPEND}
+       !sys-libs/glibc
+       !sys-libs/musl
+       !<sys-devel/gettext-0.19.6-r1
+"
+BDEPEND="verify-sig? ( sec-keys/openpgp-keys-gettext )"
+
+QA_CONFIG_IMPL_DECL_SKIP=(
+       # bug #898570
+       unreachable
+       MIN
+       alignof
+       static_assert
+)
+
+src_prepare() {
+       default
+
+       cd "${WORKDIR}/${MY_P}" || die
+
+       # gettext-0.21.1-java-autoconf.patch changes
+       # gettext-{runtime,tools}/configure.ac and the corresponding
+       # configure scripts. Avoid regenerating other autotools output.
+       #touch -c 
gettext-{runtime,tools}/{aclocal.m4,Makefile.in,config.h.in,configure} || die
+       # Makefile.am adds a dependency on gettext-{runtime,tools}/configure.ac
+       #touch -c configure || die
+
+       cd "${S}" || die
+
+       # The libtool files are stored higher up, so make sure we run in the
+       # whole tree and not just the subdir we build.
+       elibtoolize "${WORKDIR}"
+}
+
+multilib_src_configure() {
+       local myconf=(
+               --cache-file="${BUILD_DIR}"/config.cache
+
+               # Emacs support is now in a separate package.
+               --without-emacs
+               --without-lispdir
+               # Normally this controls nls behavior in general, but the 
libintl
+               # subdir is skipped unless this is explicitly set.  ugh.
+               --enable-nls
+               # This magic flag enables libintl.
+               --with-included-gettext
+               # The gettext package provides this library.
+               --disable-c++
+               --disable-libasprintf
+               # No Java until someone cares.
+               --disable-java
+
+               $(use_enable static-libs static)
+               $(use_enable threads)
+       )
+
+       ECONF_SOURCE="${S}" econf "${myconf[@]}"
+}
+
+multilib_src_compile() {
+       # We only need things in the intl/ subdir.
+       emake -C intl
+}
+
+multilib_src_install() {
+       # We only need things in the intl/ subdir.
+       emake DESTDIR="${D}" install -C intl
+
+       gen_usr_ldscript -a intl
+}
+
+multilib_src_install_all() {
+       if ! use static-libs ; then
+               find "${ED}" -type f -name "*.la" -delete || die
+       fi
+
+       dodoc AUTHORS ChangeLog NEWS README
+}

Reply via email to